%define lib_name %mklibname gail-gnome
%define develname %mklibname -d gail-gnome

Summary: Dynamic libraries for for libgail-gnome
Name: libgail-gnome
Version: 1.20.3
Release: %mkrel 1
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
License: LGPLv2+
Url: http://developer.gnome.org/projects/gap/
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: atk-devel >= 1.7.2
BuildRequires: at-spi-devel
Buildrequires: libgnomeui2-devel
BuildRequires: libpanel-applet-2-devel
BuildRequires: libxtst-devel libglade2.0-devel
Obsoletes: libgail-gnome0
Provides: libgail-gnome0

%description
Gail is the GNOME Accessibility Implementation Library

%if %_lib != lib
%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}

%description -n %{lib_name}
Gail is the GNOME Accessibility Implementation Library
%endif

%package -n %develname
Summary:	Static libraries, include files for libgail-gnome
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Obsoletes:  libgail-gnome0-devel
Provides:   libgail-gnome0-devel

%description -n %develname
Gail is the GNOME Accessibility Implementation Library


%prep
%setup -q

%build
autoreconf -fis
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/gtk-2.0/modules/*.so
/etc/gconf/schemas/libgail-gnome.schemas

%files -n %develname
%defattr(-,root,root)
%{_libdir}/pkgconfig/*


%changelog
* Mon Jun 21 2010 Texstar <texstar at gmail.com> 1.20.3-1pclos2010
- 1.20.3

* Tue Mar 30 2010 Texstar <texstar at gmail.com> 1.20.2-1pclos2010
- 1.20.2

* Thu Jan 21 2010 Texstar <texstar at gmail.com> 1.20.1-2pclos2010
- update for 2010 release
- libtool 2.26 build


